Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 267)
@@ -5423,17 +5673,16 @@
                     if (wrkUpdate < CommonMotions.cnvDate(wrkRec[10])) wrkUpdate = CommonMotions.cnvDate(wrkRec[10]);
 
                     // ProgressBarの値を変更する
-                    progBarSalesGraph.Value = progBarSalesGraph.Value++;
-                    progBarSalesGraph.Update();
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
 
                 // ProgressBarの値を変更する
-                progBarSalesGraph.Value = progBarSalesGraph.Maximum;
-                progBarSalesGraph.Update();
-                progBarSalesGraph.Visible = false;
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
 
                 // 更新日時を表示する
-                lblSalesGraphUpdate.Text = string.Format("{0} 現在",wrkUpdate.ToString("yyyy年MM月dd日"));
+                //lblSalesGraphUpdate.Text = string.Format("{0} 現在",wrkUpdate.ToString("yyyy年MM月dd日"));
             }
             catch (Exception ex)
             {
@@ -5444,6 +5693,8 @@
                 ReqDB.close(); ReqDB = null;
                 PersonDB.close(); PersonDB = null;
                 CostDB.close(); CostDB = null;
+                DisplayControlProgressBar(false);
+                btnConstrSearch.Visible = false;
             }
 
             return ds;
@@ -5641,7 +5892,7 @@
                 strSQL.Append(" ON Detail.PersonCode = Person.PersonCode");
                 strSQL.AppendFormat(" Where Person.DepartmentCode = {0}", DepartmentCode);
                 if (PersonCode > 0) strSQL.AppendFormat(" And Person.PersonCode = {0}", PersonCode);
-                strSQL.AppendFormat(" And Person.LEDGERFLG = {0}", (int)CommonDefine.PersonLedgerDivNo.CalcTarget);
+                strSQL.AppendFormat(" And Person.LEDGERFLG = {0}", (int)PersonInChargeMaster.LedgerDivNoDef.CalcTarget);
                 strSQL.AppendFormat(" And ((DATE (Person.StartDate) <= DATE ('{0}')", dtDefStart.ToShortDateString());
                 strSQL.AppendFormat(" And DATE (Person.EndDate) = DATE ('{0}'))", DateTime.MinValue.ToShortDateString());
                 strSQL.AppendFormat(" Or (DATE ('{0}') <= DATE (Person.StartDate)", dtDefStart.ToShortDateString());
@@ -5990,7 +6241,7 @@
                 strSQL.AppendFormat(" Where (STR_TO_DATE('{0}', '%Y/%m/%d') <= DATE (A.RequestDate)", ColenderStartDate.ToShortDateString());
                 strSQL.AppendFormat(" AND DATE (A.RequestDate) <= STR_TO_DATE('2017/08/04', '%Y/%m/%d'))", ColenderEndDate.ToShortDateString());
                 strSQL.Append(" AND B.ConstructionCode = A.ConstructionCode");
-                strSQL.AppendFormat(" AND B.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL.AppendFormat(" AND B.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 strSQL.Append(" And C.ConstructionCode = A.ConstructionCode");
                 strSQL.AppendFormat(" And C.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.SafetyPatrol);
                 strSQL.Append(" And C.OrderNo = A.OrderNo");
@@ -6104,9 +6355,9 @@
         }
         #endregion
 
-        #region 行動予定一覧
+        #region 行動予定一覧表示
         /// <summary>
-        /// 行動予定一覧
+        /// 行動予定一覧表示
         /// </summary>
         private void DispActionList()
         {
@@ -6158,12 +6409,19 @@
 
                 // SQL作成
                 StringBuilder strSQL = new StringBuilder();
-                CreateActionSQL(ColenderStartDate, ColenderEndDate, (int)CommonDefine.EmployeeClassFlg.Regular, ref strSQL);
+                CreateActionSQL(ColenderStartDate, ColenderEndDate, (int)PersonInChargeMaster.EmployeeClassFlgDef.Regular, ref strSQL);
+
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                DisplayControlProgressBar(true);
                 
                 // データ取得
                 ArrayList DataList = new ArrayList();
                 if (!asdDB.ExecuteReader(strSQL.ToString(), ref DataList)) return;
 
+                MainProgressBar.Maximum = DataList.Count;
+
                 DepartmentMaster DepartmentRec = new DepartmentMaster();
                 PersonInChargeMaster PersonRec = new PersonInChargeMaster();
                 ActionScheduleData ActionRec = new ActionScheduleData();
@@ -6221,6 +6479,10 @@
 
                     // ブレイクキーセット
                     BreakPerSonCode = PersonRec.PersonCode;
+
+                    // ProgressBarの値を変更する
+                    MainProgressBar.Value = iListCnt;
+                    MainProgressBar.Update();
                 }
 
                 // 常雇者表示
@@ -6242,6 +6504,7 @@
                 picDB.close(); picDB = null;
                 asdDB.close(); asdDB = null;
                 dgvActionSchedule.ResumeLayout();
+                DisplayControlProgressBar(false);
             }
         }
         #endregion
@@ -6409,7 +6672,7 @@
 
                 // SQL作成
                 StringBuilder strSQL = new StringBuilder();
-                CreateActionSQL(ColenderStartDate, ColenderEndDate, (int)CommonDefine.EmployeeClassFlg.OutSource, ref strSQL);
+                CreateActionSQL(ColenderStartDate, ColenderEndDate, (int)PersonInChargeMaster.EmployeeClassFlgDef.OutSource, ref strSQL);
 
                 // データ取得
                 ArrayList DataList = new ArrayList();
@@ -6448,7 +6711,7 @@
                     }
 
                     // 部署コードセット
-                    dgv.Rows[PlansLineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = string.Format("{0}{1}", (int)CommonDefine.EmployeeClassFlg.OutSource, s_EmployeeClass);
+                    dgv.Rows[PlansLineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = string.Format("{0}{1}", (int)PersonInChargeMaster.EmployeeClassFlgDef.OutSource, s_EmployeeClass);
 
                     // 予定・実績文字の表示
                     dgv.Rows[PlansLineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[0];
@@ -7089,15 +7352,8 @@
                 string BaseSQL = "SELECT A1, A2, MIN(A3), MAX(A4), A5, A6, A7, A8, A9, A10, A11, A12, A13 FROM";
                 BaseSQL += " (SELECT A.ConstructionCode A1,";
                 BaseSQL += " A.ConstructionPersonCode A2,";
-                //BaseSQL += " TO_CHAR(A.ConstructionPeriodStart, 'YYYY/MM/DD') A3,";
-                //BaseSQL += " TO_CHAR(A.ConstructionPeriodEnd, 'YYYY/MM/DD') A4,";
-                //BaseSQL += " TO_CHAR(A.OrderDate, 'YYYY/MM/DD') A5,";
-                //BaseSQL += " TO_CHAR(A.OrderCompletionDate, 'YYYY/MM/DD') A6,";
-                //BaseSQL += " TO_CHAR(A.BillingStartDate, 'YYYY/MM/DD') A7,";
-                //BaseSQL += " TO_CHAR(A.OrderStartingDate, 'YYYY/MM/DD') A8,";
                 BaseSQL += " DATE_FORMAT(A.ConstructionPeriodStart, '%Y/%m/%d') A3,";
                 BaseSQL += " DATE_FORMAT(A.ConstructionPeriodEnd, '%Y/%m/%d') A4,";
-                //BaseSQL += " DATE_FORMAT(A.OrderDate, 'YYYY/MM/DD') A5,";
                 BaseSQL += " DATE_FORMAT(A.OrderDate, '%Y/%m/%d') A5,";
                 BaseSQL += " DATE_FORMAT(A.OrderCompletionDate, '%Y/%m/%d') A6,";
                 BaseSQL += " DATE_FORMAT(A.BillingStartDate, '%Y/%m/%d') A7,";
@@ -7106,7 +7362,6 @@
                 BaseSQL += " C.DISPLAYORDER A10,";
                 BaseSQL += " B.DISPLAYORDER A11,";
                 BaseSQL += " A.OrderDate A12,";
-                //BaseSQL += " TO_CHAR(A.ConstructionPeriodEnd2, 'YYYY/MM/DD') A13";
                 BaseSQL += " DATE_FORMAT(A.ConstructionPeriodEnd2, '%Y/%m/%d') A13";
                 BaseSQL += " FROM ConstructionBaseInfo A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
 
@@ -7130,9 +7385,18 @@
                 BaseSQL += " And C.StaffAssignFlg = 0) Data";
                 BaseSQL += " GROUP BY A1, A2, A5, A6, A7, A8, A9, A10, A11, A12, A13";
                 BaseSQL += " Order By 9 Asc, 10 Asc, 11 Asc, 12 Asc";
+
+                // プログレスバー表示
+                // プログレスバー表示
+                Array.Clear(m_bDispFlag, 0, m_bDispFlag.Length);
+                m_bDispFlag[(int)DispButtonDef.btnReloadFlg] = true;
+                DisplayControlProgressBar(true);
+                
                 if (!cbDB.ExecuteReader(BaseSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
+                MainProgressBar.Maximum = arData.Count;
+
                 // 表示行数取得
                 int LineCnt = dgv.RowCount;
                 int ipicDisp = 0;
@@ -7140,6 +7404,7 @@
                 bool bpicDisp = false;
                 bool bdmDisp = false;
                 DataGridViewCellStyle CellStyle1 = new DataGridViewCellStyle();
+                int ino = 1;
 
                 foreach (object[] wrkRec in arData)
                 {
@@ -7147,7 +7412,7 @@
                     int BaseConstructionPersonCode = CommonMotions.cnvInt(wrkRec[(int)ReadStaffDate.PersonCode]);
                     // 工事名称取得
                     string strDetail = string.Format(" Where (ConstructionCode = {0} And DETAILNO = {1})"
-                                                    , BaseConstructionCode, ((int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName).ToString());
+                                                    , BaseConstructionCode, ((int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName).ToString());
                     List<ConstructionBaseInfoDetail> NameList = new List<ConstructionBaseInfoDetail>();
                     if (!cbdDB.SelectAction(strDetail, ref NameList)) continue;
                     if (NameList.Count == 0) continue;
@@ -7291,8 +7556,16 @@
                     BarChartDrowing4(CalenderStartDate, CalenderLastDate, BarStoneDate1, BarStoneDate2, BarStoneDate3, BarStoneDate4, LineCnt + 5);
 
                     LineCnt += 7;
+
+                    // ProgressBarの値を変更する
+                    MainProgressBar.Value = ino++;
+                    MainProgressBar.Update();
                 }
 
+                // ProgressBarの値を変更する
+                MainProgressBar.Value = MainProgressBar.Maximum;
+                MainProgressBar.Update();
+
                 // 表示列セット
                 if (HScroll == 0)
                 {
@@ -7322,6 +7595,7 @@
                 if (HDisplayCnt != -1) dgv.FirstDisplayedScrollingColumnIndex = HDisplayCnt;
                 if (VDisplayCnt != -1) dgv.FirstDisplayedScrollingRowIndex = VDisplayCnt;
                 dgvStaffAssignment.ResumeLayout();
+                DisplayControlProgressBar(false);
                 this.Refresh();
             }
         }
@@ -7736,5 +8010,128 @@
         #endregion
         #endregion
         #endregion
+
+        #region 工事検索
+        #region 営業期
+        /// <summary>
+        /// 工事検索営業期
+        /// </summary>
+        private int m_Period = 0;
+        #endregion
+        #region 見積年月
+        /// <summary>
+        /// 工事検索見積年月
+        /// </summary>
+        private string m_EstimateMonth = string.Empty;
+        #endregion
+        #region 発注者
+        /// <summary>
+        /// 工事検索発注者
+        /// </summary>
+        private string m_Orderer = string.Empty;
+        #endregion
+        #region 工事名称
+        /// <summary>
+        /// 工事検索工事名称
+        /// </summary>
+        private string m_ConstructionName = string.Empty;
+        #endregion
+
+        #region 工事検索フラグ
+        /// <summary>
+        /// 工事検索フラグ
+        /// </summary>
+        private bool m_bConstrSearchFlg = false;
+        #endregion
+
+        #region 工事検索
+        /// <summary>
+        /// 工事検索
+        /// </summary>
+        private void ConstructionSearch()
+        {
+            FrmConstrSerarch frm = new FrmConstrSerarch();
+            try
+            {
+                string wrkname = tabMenu.SelectedTab.Name;
+                int Tabcount = MenuTabName[wrkname];
+                switch (Tabcount)
+                {
+                    case (int)TabNameEnum.Tenders:
+                        // 入札案件一覧情報表示
+                    case (int)TabNameEnum.BudgetUpProjects:
+                        // 予算取り案件一覧情報表示
+                    case (int)TabNameEnum.SalesInProjects:
+                        // 工事案件一覧情報表示
+                        // 営業期
+                        frm.DispPeriod = false;
+                        frm.DispEstimateMonth = false;
+                        break;
+                    case (int)TabNameEnum.ConstructionProjects:
+                        // 受注状況一覧表示
+                        // 営業期
+                        frm.DispPeriod = false;
+                        break;
+                    case (int)TabNameEnum.FluctuationProjects:
+                        // 増減工事状況一覧表示
+                        frm.DispPeriod = false;
+                        break;
+                    case (int)TabNameEnum.NonOrders:
+                        // 非受注一覧
+                        // 営業期
+                        frm.DispPeriod = true;
+                        frm.Period = (int)numUDNonOrder.Value;
+                        break;
+                    case (int)TabNameEnum.CompletionOfConstruction:
+                        // 完了工事一覧
+                        // 営業期
+                        frm.DispPeriod = true;
+                        frm.Period = (int)numUDCompletion.Value;
+                        break;
+                    default:
+                        frm.DispPeriod = false;
+                        break;
+                }
+
+                // 検索フォーム位置
+                Point po = this.Location;
+                po.X += (this.Width - frm.Width);
+                frm.InitPoint = po;
+                
+                // 検索処理番号
+                frm.ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+                frm.ProcessTabCnt = Tabcount;
+
+                frm.ShowDialog();
+
+                // 終了状態確認
+                if (frm.EndStatus == DialogResult.Cancel) return;
+
+                // 営業期
+                m_Period = frm.Period;
+                // 見積年月
+                m_EstimateMonth = frm.EstimateMonth;
+                // 発注者
+                m_Orderer = frm.Orderer;
+                // 工事名称
+                m_ConstructionName = frm.ConstructionName;
+
+                m_bConstrSearchFlg = true;
+                // データ表示
+                DisplayGridList();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+                m_Period = 0;
+                m_bConstrSearchFlg = false;
+            }
+        }
+        #endregion
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs	(revision 267)
@@ -203,7 +203,7 @@
                                 #endregion
                             case 5:
                                 #region 各工事打合わせ議事録
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.Proceedings);
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
                                 // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
                                 break;
@@ -439,7 +439,7 @@
 
                                 // 請求書入力（出来高）
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
                                 break;
                                 #endregion
                             case 3:
@@ -451,7 +451,7 @@
                                 //　請求承認
                                 int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
                                 break;
                                 #endregion
                             case 5:                         // 請求書印刷
@@ -466,7 +466,7 @@
                                 // ----- 起動プロセス設定
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ReqBillingStatus);
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ReqBillingStatInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.BaseInfoBillingSplitFlg.SplitBilling);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
                                 break;
                                 #endregion
                             case 9:
@@ -502,7 +502,7 @@
 
                                 // 請求書入力（出来高）
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.BaseInfoBillingSplitFlg.AllOnBilling);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
                                 break;
                                 #endregion
                             case 3:
@@ -514,7 +514,7 @@
                                 //　請求承認
                                 int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.BaseInfoBillingSplitFlg.AllOnBilling);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
                                 break;
                                 #endregion
                             case 5:                 // 請求書印刷
@@ -529,7 +529,7 @@
                                 // ----- 起動プロセス設定
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ReqBillingStatus);
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ReqBillingStatInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)CommonDefine.BaseInfoBillingSplitFlg.AllOnBilling);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
                                 break;
                                 #endregion
                             case 9:
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 267)
@@ -291,6 +291,9 @@
       <DependentUpon>FrmJoinSelect.cs</DependentUpon>
     </Compile>
     <Compile Include="Forms\DataEntry\ConstructionLedgerList\CreateLedgerSQL.cs" />
+    <Compile Include="Forms\DataEntry\ConstructionSerarch\FrmConstrSerarchAux.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\ConstructionSplit\FrmConstructionSplitAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -816,6 +819,12 @@
     <Compile Include="Forms\SubForms\FrmInputComment.designer.cs">
       <DependentUpon>FrmInputComment.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionSerarch\FrmConstrSerarch.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionSerarch\FrmConstrSerarch.Designer.cs">
+      <DependentUpon>FrmConstrSerarch.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\SubForms\FrmPrintInfomation.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1523,6 +1532,9 @@
     <EmbeddedResource Include="Forms\SubForms\FrmInputComment.resx">
       <DependentUpon>FrmInputComment.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\ConstructionSerarch\FrmConstrSerarch.resx">
+      <DependentUpon>FrmConstrSerarch.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmPrintInfomation.resx">
       <DependentUpon>FrmPrintInfomation.cs</DependentUpon>
     </EmbeddedResource>
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 267)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.76")]
-[assembly: AssemblyFileVersion("1.0.0.76")]
+[assembly: AssemblyVersion("1.0.0.78")]
+[assembly: AssemblyFileVersion("1.0.0.78")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
